=== target_firmware/magpie_fw_dev/build/utility/adjust_dep/Makefile ===
TARGET = ../bin/adj_dep	# for Linux environment
#TARGET = ../bin/adj_dep.exe		# for CygWin environment

all: $(TARGET)

$(TARGET):
	gcc -o $(TARGET) adj_dep.c

install:
	cp adj_dep ../bin

clean:
	-rm $(TARGET)
