=== target_firmware/magpie_fw_dev/build/utility/adjust_time/Makefile ===
TARGET = ../bin/adj_time		# for Linux environment
#TARGET = ../bin/adj_time.exe	# for CygWin environment

all: $(TARGET)

$(TARGET):
	gcc -o $(TARGET) adj_time.c

clean:
	-rm $(TARGET)
