=== target_firmware/magpie_fw_dev/build/utility/imghdr/Makefile ===
TARGET = ../bin/imghdr		# for Linux environment
#TARGET = ../bin/bin2hex.exe	# for CygWin environment

all: $(TARGET)

$(TARGET):
	gcc -o $(TARGET) imghdr.c

clean:
	-rm $(TARGET)
