=== debian/changelog ===
open-ath9k-htc-firmware (1.3-1) toutatis; urgency=low

  * Added udeb packaging

 -- Ruben Rodriguez <ruben@trisquel.info>  Sat, 23 Feb 2014 00:00:00 +0000

open-ath9k-htc-firmware (1.3) toutatis; urgency=low

  * Initial release

 -- Ruben Rodriguez <ruben@trisquel.info>  Sat, 22 Dec 2013 00:00:00 +0000
