=== debian/control ===
Source: open-ath9k-htc-firmware
Section: kernel
Priority: optional
Maintainer: Ruben Rodriguez <ruben@trisquel.info>
Build-Depends:
 wget,
 build-essential,
 cmake,
 git,
 m4
Standards-Version: 3.9.2
Homepage: https://wiki.debian.org/ath9k_htc/open_firmware
Vcs-Git: https://github.com/qca/open-ath9k-htc-firmware.git

Package: open-ath9k-htc-firmware
Architecture: all
Description: Firmware for ath9k_htc
 Free software firmware for Atheros AR9271, AR7010 devices

Package: open-ath9k-htc-firmware-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Description: Firmware for ath9k_htc
 Free software firmware for Atheros AR9271, AR7010 devices
