=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make toolchain
	./build

override_dh_auto_clean:
	rm -f rm -rf toolchain/build toolchain/inst
