## open-ath9k-htc-firmware 1.4.0-97-g75b3e59+dfsg

=== debian/changelog ===
open-ath9k-htc-firmware (1.4.0-97-g75b3e59+dfsg-3) unstable; urgency=medium

  * fix gcc version in debian/cross-toolchain.mk

 -- Oleksij Rempel <linux@rempel-privat.de>  Fri, 21 Dec 2018 11:00:25 +0000

open-ath9k-htc-firmware (1.4.0-97-g75b3e59+dfsg-2) unstable; urgency=medium

  * update to gcc 8.2.0 (Closes: #915737)
  * update to Standards-Version: 4.2.1

 -- Oleksij Rempel <linux@rempel-privat.de>  Wed, 19 Dec 2018 17:12:07 +0000

open-ath9k-htc-firmware (1.4.0-97-g75b3e59+dfsg-1) unstable; urgency=medium

  * update to latest upstream version 1.4.0-97-g75b3e59

 -- Oleksij Rempel <linux@rempel-privat.de>  Mon, 18 Dec 2017 09:13:38 +0000

open-ath9k-htc-firmware (1.4.0-81-gf206e56+dfsg-3) unstable; urgency=medium

  * Use GCC 7

 -- Oleksij Rempel <linux@rempel-privat.de>  Tue, 12 Dec 2017 17:10:53 +0000
