=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders:
  Paul Fertser <fercerpav@gmail.com>,
 Section: misc
-Priority: extra
+Priority: optional
 Build-Depends:
  binutils-source,
  bison,
  cmake,
  debhelper (>= 10),
  flex,
- gcc-6-source,
+ gcc-8-source,
  libmpc-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/qca/open-ath9k-htc-firmware
 Vcs-Browser: https://github.com/olerem/firmware-ath9k-htc
 Vcs-Git: https://github.com/olerem/firmware-ath9k-htc
