=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%open-ath9k-htc-firmware-$1.tar.gz%, \
      repacksuffix=+dfsg, \
      dversionmangle=s/\+dfsg//" \
    https://github.com/qca/open-ath9k-htc-firmware/tags \
        (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
