## open-ath9k-htc-firmware 1.4.0-106

=== target_firmware/CMakeLists.txt ===
--- 
+++ 
@@ -46,10 +46,10 @@
 	-Wunused-variable
 	-Wunused-value
 	-Wpointer-arith
-	-Wundef
 	-nostdlib
 	-Wundef
 	-Wunused-but-set-variable
+	-Wmaybe-uninitialized
 )
 ADD_DEFINITIONS(
 	-D_RAM_
