## open-ath9k-htc-firmware 1.4.0-106-gc583009+dfsg1

=== debian/changelog ===
open-ath9k-htc-firmware (1.4.0-106-gc583009+dfsg1-1ubuntu1) impish; urgency=medium

  [ John Scott ]
  * Build cross toolchain with Binutils 2.36 and GCC 11 with patch.

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Aug 2021 08:28:05 +0000

open-ath9k-htc-firmware (1.4.0-106-gc583009+dfsg1-1) unstable; urgency=medium

  * Adopt package and designate myself as maintainer.
    - Thanks to Oleksij Rempel for his contributions in packaging,
      upstream, and helping with this release.
  * New upstream snapshot.
    - Build the cross toolchain with GCC 10 and Binutils >= 2.34.
      (Closes: #944169, #951891)
  * Drop the debugging symbols package, as it's generally not useful.
    (Closes: #873727)
  * NEWS: Due to a bug in wpasupplicant, ath9k_htc devices often failed
    connections using MAC address randomization, which is enabled by default
    with NetworkManager. Fixes are available as wpasupplicant updates in
    releases Stretch and later.
    (Resolves: #870159, #895696, #939075, #954457, #954861)

 -- John Scott <jscott@posteo.net>  Fri, 04 Dec 2020 18:57:57 -0500
