=== debian/control ===
Source: open-ath9k-htc-firmware
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Scott <jscott@posteo.net>
Section: kernel
Priority: optional
Build-Depends:
 binutils-source (>= 2.36),
 bison,
 cmake,
 debhelper-compat (= 13),
 flex,
 gcc-11-source,
 libmpc-dev,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.1.2
Homepage: https://github.com/qca/open-ath9k-htc-firmware

Package: firmware-ath9k-htc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: firmware for AR7010 and AR9271 USB wireless adapters
 The Qualcomm Atheros AR7010 and AR9271 chipsets are used in USB
 wireless adapters which are 802.11n-capable. This package contains
 the free firmware they require to function, and which gets loaded
 onto the devices during use.
