## open-ath9k-htc-firmware 1.4.0-108-gd856466+dfsg1

=== debian/changelog ===
open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1) unstable; urgency=medium

  * Add package version control info.
  * Clean up the copyright file.
    - Distinguish the BSD 3-Clause Clear variant from the conventional one.
    - Make conformant to DEP-5 specification for machine readability.
  * Build cross toolchain with Binutils 2.36 and GCC 12 with patch.
  * Drop the BSD-4 advertising clause. (Closes: #1011438)
    Thanks to Bastian Germann for coordinating this upstream.
  * Move the Salsa repo to the Debian collaborative maintenance namespace.

 -- John Scott <jscott@posteo.net>  Thu, 01 Jul 2021 20:05:59 -0400
