=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: open-ath9k-htc-firmware
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Scott <jscott@posteo.net>
+Maintainer: John Scott <jscott@posteo.net>
 Section: kernel
 Priority: optional
 Build-Depends:
@@ -9,11 +8,13 @@
  cmake,
  debhelper-compat (= 13),
  flex,
- gcc-11-source,
+ gcc-12-source,
  libmpc-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.2
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/open-ath9k-htc-firmware
+Vcs-Git: https://salsa.debian.org/debian/open-ath9k-htc-firmware.git
 Homepage: https://github.com/qca/open-ath9k-htc-firmware
 
 Package: firmware-ath9k-htc
