## open-ath9k-htc-firmware 1.4.0-110-ge888634+dfsg1

=== debian/changelog ===
open-ath9k-htc-firmware (1.4.0-110-ge888634+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Force higher min cmake version. (Closes: #1113348)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Oct 2025 11:35:02 +0200

open-ath9k-htc-firmware (1.4.0-110-ge888634+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot 1.4.0-110-ge888634+dfsg1.
  * Build cross compiler with GCC 14.
  * Allow discarded qualifiers.

  [ John Scott ]
  * Add a Salsa CI configuration file to disable blhc.
  * Properly denote my comment in the Salsa CI config file.

 -- Bastian Germann <bage@debian.org>  Sun, 05 Jan 2025 13:10:18 +0000

open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files below /usr. (Closes: #1059414)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 01:01:56 +0200

open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add notes on how to generate modaliases.
  * Remove Qwest/Actiontec 802AIN ID.
  * Prevent requesting dev firmware. (Closes: #1038684)

 -- Bastian Germann <bage@debian.org>  Wed, 26 Jul 2023 21:09:48 +0200

open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP-11: Add AirTies and Altai WA1011N-GU. (Closes: #1031935)
  * DEP-11: Add firmware provides.

 -- Bastian Germann <bage@debian.org>  Sat, 25 Feb 2023 20:37:02 +0100

open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Breaks/Replaces on firmware-atheros. (Closes: #1031197)
  * metadata: Remove Homepage field.

 -- Bastian Germann <bage@debian.org>  Mon, 13 Feb 2023 14:27:16 +0100

open-ath9k-htc-firmware (1.4.0-108-gd856466+dfsg1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rename to stable firmware file name. (Closes: #1031186)

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 6.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

 -- Bastian Germann <bage@debian.org>  Sun, 12 Feb 2023 22:34:38 +0100
