=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  cmake,
  debhelper-compat (= 13),
  flex,
- gcc-12-source,
+ gcc-14-source,
  libmpc-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/open-ath9k-htc-firmware
 Vcs-Git: https://salsa.debian.org/debian/open-ath9k-htc-firmware.git
 Homepage: https://github.com/qca/open-ath9k-htc-firmware
@@ -22,6 +22,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
+Breaks: firmware-atheros (<= 20230210-1)
+Replaces: firmware-atheros (<= 20230210-1)
 Description: firmware for AR7010 and AR9271 USB wireless adapters
  The Qualcomm Atheros AR7010 and AR9271 chipsets are used in USB
  wireless adapters which are 802.11n-capable. This package contains
