=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,16 @@
 # Stack protector needs to be disabled since that entails linking to libssp.
 # Other hardening flags likewise cause more problems than they solve.
 export DEB_BUILD_MAINT_OPTIONS=hardening=-all
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=discarded-qualifiers
 
-# This avoids clashing with the file in firmware-nonfree.
-FW_FILENAME_VER = 1.dev.0
+FW_FILENAME_VER = 1.4.0
 
 %:
 	CROSS_COMPILE="$(toolchain_dir)/bin/xtensa-elf-" \
 	dh $@ --buildsystem=makefile --sourcedirectory=target_firmware
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_auto_build: $(stamp)gcc_xtensa-elf
 	dh_auto_build --
