=== debian/watch ===
version=4
# pretty=describe needlessly switches out the hyphens for periods, so we undo it.
opts="dversionmangle=auto, repacksuffix=+dfsg1, mode=git, uversionmangle=s/(\d\.\d\.\d)\.(.+)\.(.+)/$1-$2-$3/, pretty=describe" \
	https://github.com/qca/@PACKAGE@.git HEAD debian
